*,
*:before,
*:after {
  box-sizing: border-box; }

.header {
  color: red;
  width: 100%;
  margin: 0 auto;
  height: 100px;
  background-color: green;
  text-align: right; }

.main {
  color: red;
  width: 100%;
  margin: 0 auto;
  height: 100px;
  background-color: darkred; }

.active {
  background-color: yellow; }

.footer {
  color: red;
  width: 100%;
  margin: 0 auto;
  height: 100px;
  background-color: black; }
